linux: 3.0.0-22.36 -proposed tracker

Bug #1012040 reported by Luis Henriques on 2012-06-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
Para Siva
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-22.36 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 12. June 2012 09:59 UTC
kernel-stable-Prepare-package-end:Wednesday, 13. June 2012 03:49 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 13. June 2012 03:49 UTC
kernel-stable-Promote-to-proposed-end:Friday, 15. June 2012 19:15 UTC
kernel-stable-Verification-testing-start:Friday, 15. June 2012 20:16 UTC
kernel-stable-Verification-testing-end:Monday, 18. June 2012 14:46 UTC
kernel-stable-Security-signoff-start:Monday, 18. June 2012 14:46 UTC
kernel-stable-Certification-testing-end:Monday, 18. June 2012 14:46 UTC
kernel-stable-Regression-testing-start:Monday, 18. June 2012 14:46 UTC
kernel-stable-Security-signoff-end:Tuesday, 19. June 2012 19:31 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 20. June 2012 03:45 UTC
kernel-stable-Regression-testing-end:Wednesday, 20. June 2012 03:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 28. June 2012 16:45 UTC
kernel-stable-Promote-to-updates-end:Thursday, 28. June 2012 16:45 UTC

CVE References

Luis Henriques (henrix) on 2012-06-12
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1012482

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 1012483

description: updated
Adam Conrad (adconrad) wrote :

Copied, and overrides fixed (as of the next publisher run)

Brad Figg (brad-figg) on 2012-06-15
description: updated
Brad Figg (brad-figg) on 2012-06-15
description: updated
Luis Henriques (henrix) wrote :

All bugs verified.

Hardware Certification has stopped testing Oneiric kernels. Please blacklist the certification-testing task for this release

Brad Figg (brad-figg) on 2012-06-18
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-06-19
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed.

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-06-20
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (4.9 KiB)

This bug was fixed in the package linux - 3.0.0-22.36

---------------
linux (3.0.0-22.36) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1012040

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: fix get_gate_vma call in i386 NX emulation code
    - LP: #1009200

  [ Upstream Kernel Changes ]

  * Avoid reading past buffer when calling GETACL
    - LP: #1002505
    - CVE-2012-2375
  * Avoid beyond bounds copy while caching ACL
    - LP: #1002505
    - CVE-2012-2375
  * Fix length of buffer copied in __nfs4_get_acl_uncached
    - LP: #1002505
    - CVE-2012-2375
  * tilegx: enable SYSCALL_WRAPPERS support
    - LP: #1008697
  * block: fix buffer overflow when printing partition UUIDs
    - LP: #1008697
  * block: don't mark buffers beyond end of disk as mapped
    - LP: #1008697
  * PARISC: fix PA1.1 oops on boot
    - LP: #1008697
  * PARISC: fix crash in flush_icache_page_asm on PA1.1
    - LP: #1008697
  * PARISC: fix panic on prefetch(NULL) on PA7300LC
    - LP: #1008697
  * isdn/gigaset: ratelimit CAPI message dumps
    - LP: #1008697
  * vfs: make AIO use the proper rw_verify_area() area helpers
    - LP: #1008697
  * cfg80211: warn if db.txt is empty with CONFIG_CFG80211_INTERNAL_REGDB
    - LP: #1008697
  * Fix blocking allocations called very early during bootup
    - LP: #1008697
  * s390/pfault: fix task state race
    - LP: #1008697
  * SCSI: mpt2sas: Fix for panic happening because of improper memory
    allocation
    - LP: #1008697
  * RDMA/cxgb4: Drop peer_abort when no endpoint found
    - LP: #1008697
  * KEYS: Use the compat keyctl() syscall wrapper on Sparc64 for Sparc32
    compat
    - LP: #1008697
  * SELinux: if sel_make_bools errors don't leave inconsistent state
    - LP: #1008697
  * drivers/staging/comedi/comedi_fops.c: add missing vfree
    - LP: #1008697
  * perf/x86: Update event scheduling constraints for AMD family 15h models
    - LP: #1008697
  * mtd: sm_ftl: fix typo in major number.
    - LP: #1008697
  * ahci: Detect Marvell 88SE9172 SATA controller
    - LP: #1008697
  * um: Fix __swp_type()
    - LP: #1008697
  * um: Implement a custom pte_same() function
    - LP: #1008697
  * docs: update HOWTO for 2.6.x -> 3.x versioning
    - LP: #1008697
  * USB: cdc-wdm: poll must return POLLHUP if device is gone
    - LP: #1008697
  * workqueue: skip nr_running sanity check in worker_enter_idle() if
    trustee is active
    - LP: #1008697
  * mm: mempolicy: Let vma_merge and vma_split handle vma->vm_policy
    linkages
    - LP: #1008697
  * md: using GFP_NOIO to allocate bio for flush request
    - LP: #1008697
  * Add missing call to uart_update_timeout()
    - LP: #1008697
  * tty: Allow uart_register/unregister/register
    - LP: #1008697
  * USB: ftdi-sio: add support for Physik Instrumente E-861
    - LP: #1008697
  * usb-storage: unusual_devs entry for Yarvik PMP400 MP4 player
    - LP: #1008697
  * USB: ffs-test: fix length argument of out function call
    - LP: #1008697
  * drivers/rtc/rtc-pl031.c: configure correct wday for 2000-01-01
    - LP: #1008697
  * SCSI: hpsa: Fix problem with MSA2xxx devices
    - LP: #1008697
  * usb: usbtest: two super speed fixes for usbt...

Read more...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers